WhatsApp Use
Whatsapp

List conversation messages

GET
/v1/whatsapp/conversations/{conversation_id}/messages

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

conversation_id*string

Query Parameters

before_message_id?string
limit?integer

Header Parameters

X-WhatsApp-Use-Connection-Id?string

Required when the API key can access multiple WhatsApp connections.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/whatsapp/conversations/string/messages"
{  "messages": [    {      "message_id": "string",      "conversation_id": "string",      "chat_jid": "string",      "wa_message_id": "string",      "sender_jid": "string",      "sender_push_name": "string",      "direction": "string",      "is_from_me": true,      "content_type": "string",      "body": "string",      "status": "string",      "reply_to_wa_id": "string",      "reactions": {},      "media": {},      "sent_at": "2019-08-24T14:15:22Z",      "received_at": "2019-08-24T14:15:22Z",      "edited_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "seq": 0    }  ],  "contacts": [    {      "person_id": "string",      "display_name": "string",      "first_name": "string",      "last_name": "string",      "company": "string",      "whatsapp_push_name": "string",      "phone_e164": "string",      "phone_jid": "string",      "lid_jid": "string"    }  ],  "has_more": true}
{  "error": "string"}